/*browser:true*/
/*global define*/
define(
    [
        'ko',
        'jquery',
        'Magento_Checkout/js/view/payment/default',
        'mage/url',
        'Magento_Checkout/js/model/quote',
        'Magento_Checkout/js/action/place-order',
        'Magento_Checkout/js/model/payment/additional-validators',
        'Magento_Ui/js/model/messages'
    ],
    function (
        ko,
        $,
        Component,
        url,
        quote,
        placeOrderAction,
        additionalValidators,
        Messages
    ) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'Borgun_Borgunpayment/payment/borgunpayment',
            },

            getPaymentLogo: function(){
                return paymentLogo;
            },

            payViaBorgun: function(){
                $('#borgunpayment-form').submit();
            },

            getCartData: function(){
                return cartData;
            },

            getValues: function(field) {
                if(field == 'ACTIONURL') {
                    return actionUrl;
                } else if(field == 'MERCHANTID') {
                    return merchantID;
                } else if(field == 'GATEWAYID') {
                    return gatewayID;
                } else if(field == 'SECRET') {
                    return secret;
                } else if(field == 'MERCHANTEMAIL') {
                    return merchantEmail;
                } else if(field == 'HASH') {
                    return hash;
                } else if(field == 'CURRENCY') {
                    return currencyCode;
                } else if(field == 'QUOTEID') {
                    return quoteID;
                } else if(field == 'AMOUNT') {
                    return amount;
                } else if(field == 'SOURCESYSTEM') {
                    return sourceSystem;
                } else if(field == 'BUYERSEMAIL') {
                    return buyersEmail;
                } else if(field == 'RETURNURLSUCCESS') {
                    return returnUrlSuccess;
                } else if(field == 'RETURNURLERROR') {
                    return returnUrlError;
                } else if(field == 'RETURNURLCANCEL') {
                    return returnUrlCancel;
                } else {
                    return 'valuesConfig';
                }
            },
            
        });
    }
);